### Method

# Gimp Image take_selected_paths

since: 3.0

#### Declaration [src]

    gboolean
    gimp_image_take_selected_paths (
      GimpImage* image,
      GList* paths
    )

#### Description [src]

The paths are set as the selected paths in the image. Any previous selected paths are unselected.

Available since: 3.0

#### Parameters

`paths`

  Type: A list of `GimpPath*`

  The list of paths to select.

  The instance takes ownership of the data container, but not the data inside it.

#### Return value

Type: `gboolean`

TRUE on success.